imagick for all PHP version in ubuntu 20.04

Discussion in 'ISPConfig 3 Priority Support' started by chico11mbit, May 27, 2021.

  1. chico11mbit

    chico11mbit Member HowtoForge Supporter

    Hello,
    I have ubuntu 20.04, ISP-config and imagick installed. In addition to the default php 7.4, various other PHP up to php 8 are installed and can be selected in ISPconfig. I have done this according to these instructions:
    https://beyond.lol/ispconfig-mehrere-php-versionen-mit-apt-installieren-auf-ubuntu-18/
    The convert command from imagick also works. With "sudo apt-get install php-imagick" I get the following message:
    php-imagick is already the newest version (3.4.4+php8.0+3.4.4-7+ubuntu20.04.1+deb.sury.org+1).

    But there is no imagick installed in any PHP version. How do I add imagick to the installed PHP versions?

    best regards
    chico
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Install the packages for the various versions:

    apt-cache search imagick | grep php

    to get a list of available packages.
     
  3. chico11mbit

    chico11mbit Member HowtoForge Supporter

    thx. I don't know much about it. This is the output. Can you tell me which commands I should use now?

    php-imagick - Provides a wrapper to the ImageMagick library
    php-imagick-all-dev - Provides a wrapper to the ImageMagick library
    php5.6-imagick - Provides a wrapper to the ImageMagick library
    php7.0-imagick - Provides a wrapper to the ImageMagick library
    php7.1-imagick - Provides a wrapper to the ImageMagick library
    php7.2-imagick - Provides a wrapper to the ImageMagick library
    php7.3-imagick - Provides a wrapper to the ImageMagick library
    php7.4-imagick - Provides a wrapper to the ImageMagick library
    php8.0-imagick - Provides a wrapper to the ImageMagick library
     
  4. ahrasis

    ahrasis Well-Known Member HowtoForge Supporter

    The same command but add after php its version as per your output.
     
  5. chico11mbit

    chico11mbit Member HowtoForge Supporter

    thx. a lot :)
     

Share This Page